/*
 * Copyright (c) 2016, The Linux Foundation. All rights reserved.
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 and only version 2 as published by the Free Software
 * Foundation. This program is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details. 
 */


#ifndef __TIMER_H__
#define __TIMER_H__



/* TIMER */
/* ==================================================================== */

/* 32COUNTER_0_CTRL */
/* 32COUNTER_0 control register */
#define TIMER_32COUNTER_0_CTRL    0x10DC0000

/* TIMER_32COUNTER_0_CTRL.COUNT_EN - 0: disable count1: enable count */
#define TIMER_32COUNTER_0_CTRL__COUNT_EN__SHIFT       0
#define TIMER_32COUNTER_0_CTRL__COUNT_EN__WIDTH       1
#define TIMER_32COUNTER_0_CTRL__COUNT_EN__MASK        0x00000001
#define TIMER_32COUNTER_0_CTRL__COUNT_EN__INV_MASK    0xFFFFFFFE
#define TIMER_32COUNTER_0_CTRL__COUNT_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_0_CTRL.INTR_EN - 0doesn't generate interrupts if the counter matches the value of matches register1generates interrupts if the counter matches the value of matches register */
#define TIMER_32COUNTER_0_CTRL__INTR_EN__SHIFT       1
#define TIMER_32COUNTER_0_CTRL__INTR_EN__WIDTH       1
#define TIMER_32COUNTER_0_CTRL__INTR_EN__MASK        0x00000002
#define TIMER_32COUNTER_0_CTRL__INTR_EN__INV_MASK    0xFFFFFFFD
#define TIMER_32COUNTER_0_CTRL__INTR_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_0_CTRL.LOOP_EN - 0: if counter matches the value of match register, set interrupts and stops count. And set bit[0] in this register to zero1: if counter matches the value of match register, set interrupts and recount from zero again */
#define TIMER_32COUNTER_0_CTRL__LOOP_EN__SHIFT       2
#define TIMER_32COUNTER_0_CTRL__LOOP_EN__WIDTH       1
#define TIMER_32COUNTER_0_CTRL__LOOP_EN__MASK        0x00000004
#define TIMER_32COUNTER_0_CTRL__LOOP_EN__INV_MASK    0xFFFFFFFB
#define TIMER_32COUNTER_0_CTRL__LOOP_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_0_CTRL.TIMER_DIV - Timer clock divisionThe frequency of timer is f= (ioclk)/(TIMER_DIV+1)The timer interval which is the period between two interrupts generated by a timer is calculated using the following equation:(TIMER_DIV+1) x (MATCH VALUE+1) /(IOCLK) */
#define TIMER_32COUNTER_0_CTRL__TIMER_DIV__SHIFT       16
#define TIMER_32COUNTER_0_CTRL__TIMER_DIV__WIDTH       16
#define TIMER_32COUNTER_0_CTRL__TIMER_DIV__MASK        0xFFFF0000
#define TIMER_32COUNTER_0_CTRL__TIMER_DIV__INV_MASK    0x0000FFFF
#define TIMER_32COUNTER_0_CTRL__TIMER_DIV__HW_DEFAULT  0x0

/* 32COUNTER_1_CTRL */
/* 32COUNTER_1 control register */
#define TIMER_32COUNTER_1_CTRL    0x10DC0004

/* TIMER_32COUNTER_1_CTRL.COUNT_EN - 0: disable count1: enable count */
#define TIMER_32COUNTER_1_CTRL__COUNT_EN__SHIFT       0
#define TIMER_32COUNTER_1_CTRL__COUNT_EN__WIDTH       1
#define TIMER_32COUNTER_1_CTRL__COUNT_EN__MASK        0x00000001
#define TIMER_32COUNTER_1_CTRL__COUNT_EN__INV_MASK    0xFFFFFFFE
#define TIMER_32COUNTER_1_CTRL__COUNT_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_1_CTRL.INTR_EN - 0doesn't generate interrupts if the counter matches the value of matches register1generates interrupts if the counter matches the value of matches register */
#define TIMER_32COUNTER_1_CTRL__INTR_EN__SHIFT       1
#define TIMER_32COUNTER_1_CTRL__INTR_EN__WIDTH       1
#define TIMER_32COUNTER_1_CTRL__INTR_EN__MASK        0x00000002
#define TIMER_32COUNTER_1_CTRL__INTR_EN__INV_MASK    0xFFFFFFFD
#define TIMER_32COUNTER_1_CTRL__INTR_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_1_CTRL.LOOP_EN - 0: if counter matches the value of match register, set interrupts and stops count. And set bit[0] in this register to zero1: if counter matches the value of match register, set interrupts and recount from zero again */
#define TIMER_32COUNTER_1_CTRL__LOOP_EN__SHIFT       2
#define TIMER_32COUNTER_1_CTRL__LOOP_EN__WIDTH       1
#define TIMER_32COUNTER_1_CTRL__LOOP_EN__MASK        0x00000004
#define TIMER_32COUNTER_1_CTRL__LOOP_EN__INV_MASK    0xFFFFFFFB
#define TIMER_32COUNTER_1_CTRL__LOOP_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_1_CTRL.TIMER_DIV - Timer clock divisionThe frequency of timer is f= (ioclk)/(TIMER_DIV+1)The timer interval which is the period between two interrupts generated by a timer is calculated using the following equation:(TIMER_DIV+1) x (MATCH VALUE+1) /(IOCLK) */
#define TIMER_32COUNTER_1_CTRL__TIMER_DIV__SHIFT       16
#define TIMER_32COUNTER_1_CTRL__TIMER_DIV__WIDTH       16
#define TIMER_32COUNTER_1_CTRL__TIMER_DIV__MASK        0xFFFF0000
#define TIMER_32COUNTER_1_CTRL__TIMER_DIV__INV_MASK    0x0000FFFF
#define TIMER_32COUNTER_1_CTRL__TIMER_DIV__HW_DEFAULT  0x0

/* 32COUNTER_2_CTRL */
/* 32COUNTER_2 control register */
#define TIMER_32COUNTER_2_CTRL    0x10DC0008

/* TIMER_32COUNTER_2_CTRL.COUNT_EN - 0: disable count1: enable count */
#define TIMER_32COUNTER_2_CTRL__COUNT_EN__SHIFT       0
#define TIMER_32COUNTER_2_CTRL__COUNT_EN__WIDTH       1
#define TIMER_32COUNTER_2_CTRL__COUNT_EN__MASK        0x00000001
#define TIMER_32COUNTER_2_CTRL__COUNT_EN__INV_MASK    0xFFFFFFFE
#define TIMER_32COUNTER_2_CTRL__COUNT_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_2_CTRL.INTR_EN - 0doesn't generate interrupts if the counter matches the value of matches register1generates interrupts if the counter matches the value of matches register */
#define TIMER_32COUNTER_2_CTRL__INTR_EN__SHIFT       1
#define TIMER_32COUNTER_2_CTRL__INTR_EN__WIDTH       1
#define TIMER_32COUNTER_2_CTRL__INTR_EN__MASK        0x00000002
#define TIMER_32COUNTER_2_CTRL__INTR_EN__INV_MASK    0xFFFFFFFD
#define TIMER_32COUNTER_2_CTRL__INTR_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_2_CTRL.LOOP_EN - 0: if counter matches the value of match register, set interrupts and stops count. And set bit[0] in this register to zero1: if counter matches the value of match register, set interrupts and recount from zero again */
#define TIMER_32COUNTER_2_CTRL__LOOP_EN__SHIFT       2
#define TIMER_32COUNTER_2_CTRL__LOOP_EN__WIDTH       1
#define TIMER_32COUNTER_2_CTRL__LOOP_EN__MASK        0x00000004
#define TIMER_32COUNTER_2_CTRL__LOOP_EN__INV_MASK    0xFFFFFFFB
#define TIMER_32COUNTER_2_CTRL__LOOP_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_2_CTRL.TIMER_DIV - Timer clock divisionThe frequency of timer is f= (ioclk)/(TIMER_DIV+1)The timer interval which is the period between two interrupts generated by a timer is calculated using the following equation:(TIMER_DIV+1) x (MATCH VALUE+1) /(IOCLK) */
#define TIMER_32COUNTER_2_CTRL__TIMER_DIV__SHIFT       16
#define TIMER_32COUNTER_2_CTRL__TIMER_DIV__WIDTH       16
#define TIMER_32COUNTER_2_CTRL__TIMER_DIV__MASK        0xFFFF0000
#define TIMER_32COUNTER_2_CTRL__TIMER_DIV__INV_MASK    0x0000FFFF
#define TIMER_32COUNTER_2_CTRL__TIMER_DIV__HW_DEFAULT  0x0

/* 32COUNTER_3_CTRL */
/* 32COUNTER_3 control register */
#define TIMER_32COUNTER_3_CTRL    0x10DC000C

/* TIMER_32COUNTER_3_CTRL.COUNT_EN - 0: disable count1: enable count */
#define TIMER_32COUNTER_3_CTRL__COUNT_EN__SHIFT       0
#define TIMER_32COUNTER_3_CTRL__COUNT_EN__WIDTH       1
#define TIMER_32COUNTER_3_CTRL__COUNT_EN__MASK        0x00000001
#define TIMER_32COUNTER_3_CTRL__COUNT_EN__INV_MASK    0xFFFFFFFE
#define TIMER_32COUNTER_3_CTRL__COUNT_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_3_CTRL.INTR_EN - 0doesn't generate interrupts if the counter matches the value of matches register1generates interrupts if the counter matches the value of matches register */
#define TIMER_32COUNTER_3_CTRL__INTR_EN__SHIFT       1
#define TIMER_32COUNTER_3_CTRL__INTR_EN__WIDTH       1
#define TIMER_32COUNTER_3_CTRL__INTR_EN__MASK        0x00000002
#define TIMER_32COUNTER_3_CTRL__INTR_EN__INV_MASK    0xFFFFFFFD
#define TIMER_32COUNTER_3_CTRL__INTR_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_3_CTRL.LOOP_EN - 0: if counter matches the value of match register, set interrupts and stops count. And set bit[0] in this register to zero1: if counter matches the value of match register, set interrupts and recount from zero again */
#define TIMER_32COUNTER_3_CTRL__LOOP_EN__SHIFT       2
#define TIMER_32COUNTER_3_CTRL__LOOP_EN__WIDTH       1
#define TIMER_32COUNTER_3_CTRL__LOOP_EN__MASK        0x00000004
#define TIMER_32COUNTER_3_CTRL__LOOP_EN__INV_MASK    0xFFFFFFFB
#define TIMER_32COUNTER_3_CTRL__LOOP_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_3_CTRL.TIMER_DIV - Timer clock divisionThe frequency of timer is f= (ioclk)/(TIMER_DIV+1)The timer interval which is the period between two interrupts generated by a timer is calculated using the following equation:(TIMER_DIV+1) x (MATCH VALUE+1) /(IOCLK) */
#define TIMER_32COUNTER_3_CTRL__TIMER_DIV__SHIFT       16
#define TIMER_32COUNTER_3_CTRL__TIMER_DIV__WIDTH       16
#define TIMER_32COUNTER_3_CTRL__TIMER_DIV__MASK        0xFFFF0000
#define TIMER_32COUNTER_3_CTRL__TIMER_DIV__INV_MASK    0x0000FFFF
#define TIMER_32COUNTER_3_CTRL__TIMER_DIV__HW_DEFAULT  0x0

/* 32COUNTER_4_CTRL */
/* 32COUNTER_4 control register */
#define TIMER_32COUNTER_4_CTRL    0x10DC0010

/* TIMER_32COUNTER_4_CTRL.COUNT_EN - 0: disable count1: enable count */
#define TIMER_32COUNTER_4_CTRL__COUNT_EN__SHIFT       0
#define TIMER_32COUNTER_4_CTRL__COUNT_EN__WIDTH       1
#define TIMER_32COUNTER_4_CTRL__COUNT_EN__MASK        0x00000001
#define TIMER_32COUNTER_4_CTRL__COUNT_EN__INV_MASK    0xFFFFFFFE
#define TIMER_32COUNTER_4_CTRL__COUNT_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_4_CTRL.INTR_EN - 0doesn't generate interrupts if the counter matches the value of matches register1generates interrupts if the counter matches the value of matches register */
#define TIMER_32COUNTER_4_CTRL__INTR_EN__SHIFT       1
#define TIMER_32COUNTER_4_CTRL__INTR_EN__WIDTH       1
#define TIMER_32COUNTER_4_CTRL__INTR_EN__MASK        0x00000002
#define TIMER_32COUNTER_4_CTRL__INTR_EN__INV_MASK    0xFFFFFFFD
#define TIMER_32COUNTER_4_CTRL__INTR_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_4_CTRL.LOOP_EN - 0: if counter matches the value of match register, set interrupts and stops count. And set bit[0] in this register to zero1: if counter matches the value of match register, set interrupts and recount from zero again */
#define TIMER_32COUNTER_4_CTRL__LOOP_EN__SHIFT       2
#define TIMER_32COUNTER_4_CTRL__LOOP_EN__WIDTH       1
#define TIMER_32COUNTER_4_CTRL__LOOP_EN__MASK        0x00000004
#define TIMER_32COUNTER_4_CTRL__LOOP_EN__INV_MASK    0xFFFFFFFB
#define TIMER_32COUNTER_4_CTRL__LOOP_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_4_CTRL.TIMER_DIV - Timer clock divisionThe frequency of timer is f= (ioclk)/(TIMER_DIV+1)The timer interval which is the period between two interrupts generated by a timer is calculated using the following equation:(TIMER_DIV+1) x (MATCH VALUE+1) /(IOCLK) */
#define TIMER_32COUNTER_4_CTRL__TIMER_DIV__SHIFT       16
#define TIMER_32COUNTER_4_CTRL__TIMER_DIV__WIDTH       16
#define TIMER_32COUNTER_4_CTRL__TIMER_DIV__MASK        0xFFFF0000
#define TIMER_32COUNTER_4_CTRL__TIMER_DIV__INV_MASK    0x0000FFFF
#define TIMER_32COUNTER_4_CTRL__TIMER_DIV__HW_DEFAULT  0x0

/* 32COUNTER_5_CTRL */
/* 32COUNTER_5 control register */
#define TIMER_32COUNTER_5_CTRL    0x10DC0014

/* TIMER_32COUNTER_5_CTRL.COUNT_EN - 0: disable count1: enable count */
#define TIMER_32COUNTER_5_CTRL__COUNT_EN__SHIFT       0
#define TIMER_32COUNTER_5_CTRL__COUNT_EN__WIDTH       1
#define TIMER_32COUNTER_5_CTRL__COUNT_EN__MASK        0x00000001
#define TIMER_32COUNTER_5_CTRL__COUNT_EN__INV_MASK    0xFFFFFFFE
#define TIMER_32COUNTER_5_CTRL__COUNT_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_5_CTRL.INTR_EN - 0doesn't generate interrupts if the counter matches the value of matches register1generates interrupts if the counter matches the value of matches register */
#define TIMER_32COUNTER_5_CTRL__INTR_EN__SHIFT       1
#define TIMER_32COUNTER_5_CTRL__INTR_EN__WIDTH       1
#define TIMER_32COUNTER_5_CTRL__INTR_EN__MASK        0x00000002
#define TIMER_32COUNTER_5_CTRL__INTR_EN__INV_MASK    0xFFFFFFFD
#define TIMER_32COUNTER_5_CTRL__INTR_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_5_CTRL.LOOP_EN - 0: if counter matches the value of match register, set interrupts and stops count. And set bit[0] in this register to zero1: if counter matches the value of match register, set interrupts and recount from zero again */
#define TIMER_32COUNTER_5_CTRL__LOOP_EN__SHIFT       2
#define TIMER_32COUNTER_5_CTRL__LOOP_EN__WIDTH       1
#define TIMER_32COUNTER_5_CTRL__LOOP_EN__MASK        0x00000004
#define TIMER_32COUNTER_5_CTRL__LOOP_EN__INV_MASK    0xFFFFFFFB
#define TIMER_32COUNTER_5_CTRL__LOOP_EN__HW_DEFAULT  0x0

/* TIMER_32COUNTER_5_CTRL.TIMER_DIV - Timer clock divisionThe frequency of timer is f= (ioclk)/(TIMER_DIV+1)The timer interval which is the period between two interrupts generated by a timer is calculated using the following equation:(TIMER_DIV+1) x (MATCH VALUE+1) /(IOCLK) */
#define TIMER_32COUNTER_5_CTRL__TIMER_DIV__SHIFT       16
#define TIMER_32COUNTER_5_CTRL__TIMER_DIV__WIDTH       16
#define TIMER_32COUNTER_5_CTRL__TIMER_DIV__MASK        0xFFFF0000
#define TIMER_32COUNTER_5_CTRL__TIMER_DIV__INV_MASK    0x0000FFFF
#define TIMER_32COUNTER_5_CTRL__TIMER_DIV__HW_DEFAULT  0x0

/* MATCH_0 */
/* Match Register 0 */
#define TIMER_MATCH_0             0x10DC0018

/* TIMER_MATCH_0.MATCH - Timer match value */
#define TIMER_MATCH_0__MATCH__SHIFT       0
#define TIMER_MATCH_0__MATCH__WIDTH       32
#define TIMER_MATCH_0__MATCH__MASK        0xFFFFFFFF
#define TIMER_MATCH_0__MATCH__INV_MASK    0x00000000
#define TIMER_MATCH_0__MATCH__HW_DEFAULT  0x0

/* MATCH_1 */
/* Match Register 1 */
#define TIMER_MATCH_1             0x10DC001C

/* TIMER_MATCH_1.MATCH - Timer match value */
#define TIMER_MATCH_1__MATCH__SHIFT       0
#define TIMER_MATCH_1__MATCH__WIDTH       32
#define TIMER_MATCH_1__MATCH__MASK        0xFFFFFFFF
#define TIMER_MATCH_1__MATCH__INV_MASK    0x00000000
#define TIMER_MATCH_1__MATCH__HW_DEFAULT  0x0

/* MATCH_2 */
/* Match Register 2 */
#define TIMER_MATCH_2             0x10DC0020

/* TIMER_MATCH_2.MATCH - Timer match value */
#define TIMER_MATCH_2__MATCH__SHIFT       0
#define TIMER_MATCH_2__MATCH__WIDTH       32
#define TIMER_MATCH_2__MATCH__MASK        0xFFFFFFFF
#define TIMER_MATCH_2__MATCH__INV_MASK    0x00000000
#define TIMER_MATCH_2__MATCH__HW_DEFAULT  0x0

/* MATCH_3 */
/* Match Register 3 */
#define TIMER_MATCH_3             0x10DC0024

/* TIMER_MATCH_3.MATCH - Timer match value */
#define TIMER_MATCH_3__MATCH__SHIFT       0
#define TIMER_MATCH_3__MATCH__WIDTH       32
#define TIMER_MATCH_3__MATCH__MASK        0xFFFFFFFF
#define TIMER_MATCH_3__MATCH__INV_MASK    0x00000000
#define TIMER_MATCH_3__MATCH__HW_DEFAULT  0x0

/* MATCH_4 */
/* Match Register 4 */
#define TIMER_MATCH_4             0x10DC0028

/* TIMER_MATCH_4.MATCH - Timer match value */
#define TIMER_MATCH_4__MATCH__SHIFT       0
#define TIMER_MATCH_4__MATCH__WIDTH       32
#define TIMER_MATCH_4__MATCH__MASK        0xFFFFFFFF
#define TIMER_MATCH_4__MATCH__INV_MASK    0x00000000
#define TIMER_MATCH_4__MATCH__HW_DEFAULT  0x0

/* MATCH_5 */
/* Match Register 5 */
#define TIMER_MATCH_5             0x10DC002C

/* TIMER_MATCH_5.MATCH - Timer match value */
#define TIMER_MATCH_5__MATCH__SHIFT       0
#define TIMER_MATCH_5__MATCH__WIDTH       32
#define TIMER_MATCH_5__MATCH__MASK        0xFFFFFFFF
#define TIMER_MATCH_5__MATCH__INV_MASK    0x00000000
#define TIMER_MATCH_5__MATCH__HW_DEFAULT  0x0

/* 32COUNTER_0_MATCH_NUM */
/* 32COUNTER_0 match number register */
#define TIMER_32COUNTER_0_MATCH_NUM 0x10DC0030

/* TIMER_32COUNTER_0_MATCH_NUM.MATCH_NUM - Timer match number */
#define TIMER_32COUNTER_0_MATCH_NUM__MATCH_NUM__SHIFT       0
#define TIMER_32COUNTER_0_MATCH_NUM__MATCH_NUM__WIDTH       32
#define TIMER_32COUNTER_0_MATCH_NUM__MATCH_NUM__MASK        0xFFFFFFFF
#define TIMER_32COUNTER_0_MATCH_NUM__MATCH_NUM__INV_MASK    0x00000000
#define TIMER_32COUNTER_0_MATCH_NUM__MATCH_NUM__HW_DEFAULT  0x0

/* 32COUNTER_1_MATCH_NUM */
/* 32COUNTER_1 match number register */
#define TIMER_32COUNTER_1_MATCH_NUM 0x10DC0034

/* TIMER_32COUNTER_1_MATCH_NUM.MATCH_NUM - Timer match number */
#define TIMER_32COUNTER_1_MATCH_NUM__MATCH_NUM__SHIFT       0
#define TIMER_32COUNTER_1_MATCH_NUM__MATCH_NUM__WIDTH       32
#define TIMER_32COUNTER_1_MATCH_NUM__MATCH_NUM__MASK        0xFFFFFFFF
#define TIMER_32COUNTER_1_MATCH_NUM__MATCH_NUM__INV_MASK    0x00000000
#define TIMER_32COUNTER_1_MATCH_NUM__MATCH_NUM__HW_DEFAULT  0x0

/* 32COUNTER_2_MATCH_NUM */
/* 32COUNTER_2 match number register */
#define TIMER_32COUNTER_2_MATCH_NUM 0x10DC0038

/* TIMER_32COUNTER_2_MATCH_NUM.MATCH_NUM - Timer match number */
#define TIMER_32COUNTER_2_MATCH_NUM__MATCH_NUM__SHIFT       0
#define TIMER_32COUNTER_2_MATCH_NUM__MATCH_NUM__WIDTH       32
#define TIMER_32COUNTER_2_MATCH_NUM__MATCH_NUM__MASK        0xFFFFFFFF
#define TIMER_32COUNTER_2_MATCH_NUM__MATCH_NUM__INV_MASK    0x00000000
#define TIMER_32COUNTER_2_MATCH_NUM__MATCH_NUM__HW_DEFAULT  0x0

/* 32COUNTER_3_MATCH_NUM */
/* 32COUNTER_3 match number register */
#define TIMER_32COUNTER_3_MATCH_NUM 0x10DC003C

/* TIMER_32COUNTER_3_MATCH_NUM.MATCH_NUM - Timer match number */
#define TIMER_32COUNTER_3_MATCH_NUM__MATCH_NUM__SHIFT       0
#define TIMER_32COUNTER_3_MATCH_NUM__MATCH_NUM__WIDTH       32
#define TIMER_32COUNTER_3_MATCH_NUM__MATCH_NUM__MASK        0xFFFFFFFF
#define TIMER_32COUNTER_3_MATCH_NUM__MATCH_NUM__INV_MASK    0x00000000
#define TIMER_32COUNTER_3_MATCH_NUM__MATCH_NUM__HW_DEFAULT  0x0

/* 32COUNTER_4_MATCH_NUM */
/* 32COUNTER_4 match number register */
#define TIMER_32COUNTER_4_MATCH_NUM 0x10DC0040

/* TIMER_32COUNTER_4_MATCH_NUM.MATCH_NUM - Timer match number */
#define TIMER_32COUNTER_4_MATCH_NUM__MATCH_NUM__SHIFT       0
#define TIMER_32COUNTER_4_MATCH_NUM__MATCH_NUM__WIDTH       32
#define TIMER_32COUNTER_4_MATCH_NUM__MATCH_NUM__MASK        0xFFFFFFFF
#define TIMER_32COUNTER_4_MATCH_NUM__MATCH_NUM__INV_MASK    0x00000000
#define TIMER_32COUNTER_4_MATCH_NUM__MATCH_NUM__HW_DEFAULT  0x0

/* 32COUNTER_5_MATCH_NUM */
/* 32COUNTER_5 match number register */
#define TIMER_32COUNTER_5_MATCH_NUM 0x10DC0044

/* TIMER_32COUNTER_5_MATCH_NUM.MATCH_NUM - Timer match number */
#define TIMER_32COUNTER_5_MATCH_NUM__MATCH_NUM__SHIFT       0
#define TIMER_32COUNTER_5_MATCH_NUM__MATCH_NUM__WIDTH       32
#define TIMER_32COUNTER_5_MATCH_NUM__MATCH_NUM__MASK        0xFFFFFFFF
#define TIMER_32COUNTER_5_MATCH_NUM__MATCH_NUM__INV_MASK    0x00000000
#define TIMER_32COUNTER_5_MATCH_NUM__MATCH_NUM__HW_DEFAULT  0x0

/* COUNTER_0 */
/* COUNTER0 register */
#define TIMER_COUNTER_0           0x10DC0048

/* TIMER_COUNTER_0.TIMER_32Counter - Timer Counter 32-bit value */
#define TIMER_COUNTER_0__TIMER_32COUNTER__SHIFT       0
#define TIMER_COUNTER_0__TIMER_32COUNTER__WIDTH       32
#define TIMER_COUNTER_0__TIMER_32COUNTER__MASK        0xFFFFFFFF
#define TIMER_COUNTER_0__TIMER_32COUNTER__INV_MASK    0x00000000
#define TIMER_COUNTER_0__TIMER_32COUNTER__HW_DEFAULT  0x0

/* COUNTER_1 */
/* COUNTER1 register */
#define TIMER_COUNTER_1           0x10DC004C

/* TIMER_COUNTER_1.TIMER_32Counter - Timer Counter 32-bit value */
#define TIMER_COUNTER_1__TIMER_32COUNTER__SHIFT       0
#define TIMER_COUNTER_1__TIMER_32COUNTER__WIDTH       32
#define TIMER_COUNTER_1__TIMER_32COUNTER__MASK        0xFFFFFFFF
#define TIMER_COUNTER_1__TIMER_32COUNTER__INV_MASK    0x00000000
#define TIMER_COUNTER_1__TIMER_32COUNTER__HW_DEFAULT  0x0

/* COUNTER_2 */
/* COUNTER2 register */
#define TIMER_COUNTER_2           0x10DC0050

/* TIMER_COUNTER_2.TIMER_32Counter - Timer Counter 32-bit value */
#define TIMER_COUNTER_2__TIMER_32COUNTER__SHIFT       0
#define TIMER_COUNTER_2__TIMER_32COUNTER__WIDTH       32
#define TIMER_COUNTER_2__TIMER_32COUNTER__MASK        0xFFFFFFFF
#define TIMER_COUNTER_2__TIMER_32COUNTER__INV_MASK    0x00000000
#define TIMER_COUNTER_2__TIMER_32COUNTER__HW_DEFAULT  0x0

/* COUNTER_3 */
/* COUNTER3 register */
#define TIMER_COUNTER_3           0x10DC0054

/* TIMER_COUNTER_3.TIMER_32Counter - Timer Counter 32-bit value */
#define TIMER_COUNTER_3__TIMER_32COUNTER__SHIFT       0
#define TIMER_COUNTER_3__TIMER_32COUNTER__WIDTH       32
#define TIMER_COUNTER_3__TIMER_32COUNTER__MASK        0xFFFFFFFF
#define TIMER_COUNTER_3__TIMER_32COUNTER__INV_MASK    0x00000000
#define TIMER_COUNTER_3__TIMER_32COUNTER__HW_DEFAULT  0x0

/* COUNTER_4 */
/* COUNTER4 register */
#define TIMER_COUNTER_4           0x10DC0058

/* TIMER_COUNTER_4.TIMER_32Counter - Timer Counter 32-bit value */
#define TIMER_COUNTER_4__TIMER_32COUNTER__SHIFT       0
#define TIMER_COUNTER_4__TIMER_32COUNTER__WIDTH       32
#define TIMER_COUNTER_4__TIMER_32COUNTER__MASK        0xFFFFFFFF
#define TIMER_COUNTER_4__TIMER_32COUNTER__INV_MASK    0x00000000
#define TIMER_COUNTER_4__TIMER_32COUNTER__HW_DEFAULT  0x0

/* COUNTER_5 */
/* COUNTER5 register */
#define TIMER_COUNTER_5           0x10DC005C

/* TIMER_COUNTER_5.TIMER_32Counter - Timer Counter 32-bit value */
#define TIMER_COUNTER_5__TIMER_32COUNTER__SHIFT       0
#define TIMER_COUNTER_5__TIMER_32COUNTER__WIDTH       32
#define TIMER_COUNTER_5__TIMER_32COUNTER__MASK        0xFFFFFFFF
#define TIMER_COUNTER_5__TIMER_32COUNTER__INV_MASK    0x00000000
#define TIMER_COUNTER_5__TIMER_32COUNTER__HW_DEFAULT  0x0

/* INTR_STATUS */
/* Interrupts Status Register */
#define TIMER_INTR_STATUS         0x10DC0060

/* TIMER_INTR_STATUS.M0 - Match0 status0 MATCH_0 has not matched COUNTER0 since the last clear.1 MATCH_0 has matched COUNTER0 and generates interruptsWrite 1 to this bit will clear it to zero. */
#define TIMER_INTR_STATUS__M0__SHIFT       0
#define TIMER_INTR_STATUS__M0__WIDTH       1
#define TIMER_INTR_STATUS__M0__MASK        0x00000001
#define TIMER_INTR_STATUS__M0__INV_MASK    0xFFFFFFFE
#define TIMER_INTR_STATUS__M0__HW_DEFAULT  0x0

/* TIMER_INTR_STATUS.M1 - Match1 status.0 MATCH_1 has not matched COUNTER1since the last clear.1 MATCH_1 has matched COUNTER1.Write 1 to this bit will clear it to zero. */
#define TIMER_INTR_STATUS__M1__SHIFT       1
#define TIMER_INTR_STATUS__M1__WIDTH       1
#define TIMER_INTR_STATUS__M1__MASK        0x00000002
#define TIMER_INTR_STATUS__M1__INV_MASK    0xFFFFFFFD
#define TIMER_INTR_STATUS__M1__HW_DEFAULT  0x0

/* TIMER_INTR_STATUS.M2 - Match2 status.0 MATCH_2 has not matched COUNTER2since the last clear.1 MATCH_2 has matched COUNTER2.Write 1 to this bit will clear it to zero. */
#define TIMER_INTR_STATUS__M2__SHIFT       2
#define TIMER_INTR_STATUS__M2__WIDTH       1
#define TIMER_INTR_STATUS__M2__MASK        0x00000004
#define TIMER_INTR_STATUS__M2__INV_MASK    0xFFFFFFFB
#define TIMER_INTR_STATUS__M2__HW_DEFAULT  0x0

/* TIMER_INTR_STATUS.M3 - Match3 status.0 MATCH_3 has not matched COUNTER3 since the last clear.1 MATCH_3 has matched COUNTER3.Write 1 to this bit will clear it to zero. */
#define TIMER_INTR_STATUS__M3__SHIFT       3
#define TIMER_INTR_STATUS__M3__WIDTH       1
#define TIMER_INTR_STATUS__M3__MASK        0x00000008
#define TIMER_INTR_STATUS__M3__INV_MASK    0xFFFFFFF7
#define TIMER_INTR_STATUS__M3__HW_DEFAULT  0x0

/* TIMER_INTR_STATUS.M4 - Match4 status.0 MATCH_4 has not matched COUNTER4 since the last clear.1 MATCH_4 has matched COUNTER4.Write 1 to this bit will clear it to zero. */
#define TIMER_INTR_STATUS__M4__SHIFT       4
#define TIMER_INTR_STATUS__M4__WIDTH       1
#define TIMER_INTR_STATUS__M4__MASK        0x00000010
#define TIMER_INTR_STATUS__M4__INV_MASK    0xFFFFFFEF
#define TIMER_INTR_STATUS__M4__HW_DEFAULT  0x0

/* TIMER_INTR_STATUS.M5 - Match5 status.0 MATCH_5 has not matched COUNTER5 since the last clear.1 MATCH_5 has matched COUNTER5.Write 1 to this bit will clear it to zero. */
#define TIMER_INTR_STATUS__M5__SHIFT       5
#define TIMER_INTR_STATUS__M5__WIDTH       1
#define TIMER_INTR_STATUS__M5__MASK        0x00000020
#define TIMER_INTR_STATUS__M5__INV_MASK    0xFFFFFFDF
#define TIMER_INTR_STATUS__M5__HW_DEFAULT  0x0

/* WATCHDOG_EN */
/* Watchdog Enable Register */
#define TIMER_WATCHDOG_EN         0x10DC0064

/* TIMER_WATCHDOG_EN.WATCHDOG_EN - Watchdog enable.0 Timer match register 5 matches cause an interrupt request.1 Timer match register 5 matches cause a reset. */
#define TIMER_WATCHDOG_EN__WATCHDOG_EN__SHIFT       0
#define TIMER_WATCHDOG_EN__WATCHDOG_EN__WIDTH       1
#define TIMER_WATCHDOG_EN__WATCHDOG_EN__MASK        0x00000001
#define TIMER_WATCHDOG_EN__WATCHDOG_EN__INV_MASK    0xFFFFFFFE
#define TIMER_WATCHDOG_EN__WATCHDOG_EN__HW_DEFAULT  0x0

/* 64COUNTER_CTRL */
/* 64COUNTER_CTRL register */
#define TIMER_64COUNTER_CTRL      0x10DC0068

/* TIMER_64COUNTER_CTRL.LATCH_EN - 0: disable read latch the 64counter1: enable read latch the 64counter */
#define TIMER_64COUNTER_CTRL__LATCH_EN__SHIFT       0
#define TIMER_64COUNTER_CTRL__LATCH_EN__WIDTH       1
#define TIMER_64COUNTER_CTRL__LATCH_EN__MASK        0x00000001
#define TIMER_64COUNTER_CTRL__LATCH_EN__INV_MASK    0xFFFFFFFE
#define TIMER_64COUNTER_CTRL__LATCH_EN__HW_DEFAULT  0x0

/* TIMER_64COUNTER_CTRL.LOAD - 1: load value to the 64counter */
#define TIMER_64COUNTER_CTRL__LOAD__SHIFT       1
#define TIMER_64COUNTER_CTRL__LOAD__WIDTH       1
#define TIMER_64COUNTER_CTRL__LOAD__MASK        0x00000002
#define TIMER_64COUNTER_CTRL__LOAD__INV_MASK    0xFFFFFFFD
#define TIMER_64COUNTER_CTRL__LOAD__HW_DEFAULT  0x0

/* TIMER_64COUNTER_CTRL.TIMER_DIV - Timer_64counter clock divisionThe frequency of timer is f= (ioclk)/(TIMER_DIV+1) */
#define TIMER_64COUNTER_CTRL__TIMER_DIV__SHIFT       16
#define TIMER_64COUNTER_CTRL__TIMER_DIV__WIDTH       16
#define TIMER_64COUNTER_CTRL__TIMER_DIV__MASK        0xFFFF0000
#define TIMER_64COUNTER_CTRL__TIMER_DIV__INV_MASK    0x0000FFFF
#define TIMER_64COUNTER_CTRL__TIMER_DIV__HW_DEFAULT  0x0

/* 64COUNTER_LO */
/* 64bit Counter Low Register */
#define TIMER_64COUNTER_LO        0x10DC006C

/* TIMER_64COUNTER_LO.COUNTER_LO - Timer 64Counter low 32-bit value. */
#define TIMER_64COUNTER_LO__COUNTER_LO__SHIFT       0
#define TIMER_64COUNTER_LO__COUNTER_LO__WIDTH       32
#define TIMER_64COUNTER_LO__COUNTER_LO__MASK        0xFFFFFFFF
#define TIMER_64COUNTER_LO__COUNTER_LO__INV_MASK    0x00000000
#define TIMER_64COUNTER_LO__COUNTER_LO__HW_DEFAULT  0x0

/* 64COUNTER_HI */
/* 64bit Counter High Register */
#define TIMER_64COUNTER_HI        0x10DC0070

/* TIMER_64COUNTER_HI.COUNTER_HI - Timer Counter high 32-bit value. */
#define TIMER_64COUNTER_HI__COUNTER_HI__SHIFT       0
#define TIMER_64COUNTER_HI__COUNTER_HI__WIDTH       32
#define TIMER_64COUNTER_HI__COUNTER_HI__MASK        0xFFFFFFFF
#define TIMER_64COUNTER_HI__COUNTER_HI__INV_MASK    0x00000000
#define TIMER_64COUNTER_HI__COUNTER_HI__HW_DEFAULT  0x0

/* 64COUNTER_LOAD_LO */
/* 64bit Counter load Low Register */
#define TIMER_64COUNTER_LOAD_LO   0x10DC0074

/* TIMER_64COUNTER_LOAD_LO.LOAD_LO - Timer 64 bit counter load register low 32-bit value. */
#define TIMER_64COUNTER_LOAD_LO__LOAD_LO__SHIFT       0
#define TIMER_64COUNTER_LOAD_LO__LOAD_LO__WIDTH       32
#define TIMER_64COUNTER_LOAD_LO__LOAD_LO__MASK        0xFFFFFFFF
#define TIMER_64COUNTER_LOAD_LO__LOAD_LO__INV_MASK    0x00000000
#define TIMER_64COUNTER_LOAD_LO__LOAD_LO__HW_DEFAULT  0x0

/* 64COUNTER_LOAD_HI */
/* 64bit Counter load High Register */
#define TIMER_64COUNTER_LOAD_HI   0x10DC0078

/* TIMER_64COUNTER_LOAD_HI.LOAD_HI - Timer 64 bit counter load register high 32-bit value. */
#define TIMER_64COUNTER_LOAD_HI__LOAD_HI__SHIFT       0
#define TIMER_64COUNTER_LOAD_HI__LOAD_HI__WIDTH       32
#define TIMER_64COUNTER_LOAD_HI__LOAD_HI__MASK        0xFFFFFFFF
#define TIMER_64COUNTER_LOAD_HI__LOAD_HI__INV_MASK    0x00000000
#define TIMER_64COUNTER_LOAD_HI__LOAD_HI__HW_DEFAULT  0x0

/* 64COUNTER_RLATCHED_LO */
/* 64bit Counter read Latched Low Register */
#define TIMER_64COUNTER_RLATCHED_LO 0x10DC007C

/* TIMER_64COUNTER_RLATCHED_LO.LATCHED_LO - Timer latched register low 32-bit value. */
#define TIMER_64COUNTER_RLATCHED_LO__LATCHED_LO__SHIFT       0
#define TIMER_64COUNTER_RLATCHED_LO__LATCHED_LO__WIDTH       32
#define TIMER_64COUNTER_RLATCHED_LO__LATCHED_LO__MASK        0xFFFFFFFF
#define TIMER_64COUNTER_RLATCHED_LO__LATCHED_LO__INV_MASK    0x00000000
#define TIMER_64COUNTER_RLATCHED_LO__LATCHED_LO__HW_DEFAULT  0x0

/* 64COUNTER_RLATCHED_HI */
/* 64bit Counter read Latched High Register */
#define TIMER_64COUNTER_RLATCHED_HI 0x10DC0080

/* TIMER_64COUNTER_RLATCHED_HI.LATCHED_HI - Timer latched register high 32-bit value. */
#define TIMER_64COUNTER_RLATCHED_HI__LATCHED_HI__SHIFT       0
#define TIMER_64COUNTER_RLATCHED_HI__LATCHED_HI__WIDTH       32
#define TIMER_64COUNTER_RLATCHED_HI__LATCHED_HI__MASK        0xFFFFFFFF
#define TIMER_64COUNTER_RLATCHED_HI__LATCHED_HI__INV_MASK    0x00000000
#define TIMER_64COUNTER_RLATCHED_HI__LATCHED_HI__HW_DEFAULT  0x0


#endif  // __TIMER_H__
